DistanceFieldComparatorSource (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.tier.DistanceFieldComparatorSource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.tier
Class DistanceFieldComparatorSource

    java.lang.Object
      org.apache.lucene.search.FieldComparatorSource
          org.apache.lucene.spatial.tier.DistanceFieldComparatorSource

All Implemented Interfaces:
  Serializable

Deprecated.

    @Deprecated
    public class DistanceFieldComparatorSource

extends FieldComparatorSource

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Constructor Summary
`DistanceFieldComparatorSource(Filter distanceFilter)` Deprecated.

Method Summary
`void` | `cleanUp()` Deprecated.
`FieldComparator` | `newComparator(String fieldname, int numHits, int sortPos, boolean reversed)` Deprecated. Creates a comparator for the field in the given index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistanceFieldComparatorSource

    public DistanceFieldComparatorSource(Filter distanceFilter)

  Deprecated.

Method Detail

### cleanUp

    public void cleanUp()

  Deprecated.

### newComparator

    public FieldComparator newComparator(String fieldname,
                                         int numHits,
                                         int sortPos,
                                         boolean reversed)
                                  throws IOException

  Deprecated.
  Description copied from class: `FieldComparatorSource`
  Creates a comparator for the field in the given index.

  Specified by:
    `newComparator` in class `FieldComparatorSource`
  Parameters:
    `fieldname` - Name of the field to create comparator for.
  Returns:
    FieldComparator.
  Throws:
    `IOException` - If an error occurs reading the index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD